Bug 1304714 - [RFE] Check for working DNS before configuring the overcloud services
Summary: [RFE] Check for working DNS before configuring the overcloud services
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M1
: 13.0 (Queens)
Assignee: Ana Krivokapic
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks: 1442136
TreeView+ depends on / blocked
 
Reported: 2016-02-04 12:52 UTC by Attila Darazs
Modified: 2018-06-27 13:26 UTC (History)
20 users (show)

Fixed In Version: openstack-tripleo-validations-8.1.1-0.20180119231917.2ff3c79.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:26:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 524304 None master: MERGED tripleo-validations: Add a validation to check for working DNS (I8862266d5bb15e5bef0b6714858ad7e327ea9991) 2018-02-07 13:54:09 UTC
Red Hat Product Errata RHEA-2018:2086 normal SHIPPED_LIVE Red Hat OpenStack Platform 13.0 Enhancement Advisory 2018-06-28 19:51:39 UTC

Description Attila Darazs 2016-02-04 12:52:40 UTC
Description of problem:
We recently debugged a bug that was the result of non-working DNS resolution and made RabbitMQ fail during deployment without helpful errors, as the socket bindings got really slow without working DNS.

This highlighted the need for a DNS check during the network validation, maybe with a configurable host to resolve that will work even in environments where the resolution is limited to local names.

This idea came out of bug #1304423

Comment 2 Mike Burns 2016-04-07 21:07:13 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 4 Jaromir Coufal 2016-09-30 07:36:59 UTC
-> Validations

Comment 5 Ola Pavlenko 2016-11-23 15:41:04 UTC
Could you please update the status of this RFE?

Comment 6 Tomas Sedovic 2016-11-24 11:31:49 UTC
No update. We didn't have time to work on this (so it won't be in OSP 10).

Comment 7 Ola Pavlenko 2016-12-12 14:38:17 UTC
Potential candidate for M-3

Comment 16 Udi 2018-04-09 12:23:39 UTC
Verified in: openstack-tripleo-validations-8.4.0-1.el7ost.noarch

This was implemented as a pre-deployment validation only, and will run on the undercloud. The user cannot run this on the overcloud during the deployment, before the services are configured, so deployments may still fail if DNS is misconfigured on the overcloud.

Atilla - consider opening a new bug to do a similar test during the deployment, and stop the deployment with a clear error message if DNS is not working. Or re-open this bug if you feel it's not properly completed.

Comment 17 Attila Darazs 2018-04-25 13:05:41 UTC
Should be fine, clearing needinfo.

Comment 19 errata-xmlrpc 2018-06-27 13:26:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.